function psi = exacttest
%function del = exact(grid,T,tran)
% exact  Exact solution to Neumann problem:  delta(t)

%persistent psi


%[rho,cps,cpl,ks,kl,lat,Tm] = HTstefan('properties');
cpl = 1;
cps = 1;
lat = 80;
Tm = 12.0;
alphas = 1;  %  thermal diffusivity for solid
alphal = 1;  %	 thermal diffusivity for liquid
gam = sqrt(alphal/alphas);

% --- Get psi value only if it hasn't been found before.
%     psi is persistent, meaning that it's value is retained
%     whenever this function has been executed in the current
%     MATLAB session (need a `clear psi' in command window between
%     runs)
%if isempty(psi)
  options = optimset('Display','off');
  % psi = fzero('func',1,options,T,Tm,lat,cps,cpl,gam);
%  p0 = 4;
  SteS = cpl*(Tm-11)/lat;
  SteL = cps*(20-Tm)/lat;
  
for p0 = 0:0.1:10
   psi = fzero('neumannFzero2',p0,optimset('Display','off'),SteL,SteS,gam);
   fprintf('p0 = %3.2g,  psi = %9.7f\n',p0,psi)
end
%del = 2*psi*sqrt((kl/rho/cpl*tran.t));


